<?php
/*
Plugin Name: Google Adsense Report Pro
Plugin URI: http://nexxuz.com/google-adsense-report-pro-plugin-wordpress.html
Description: Google Adsense Report: Your Google Adsense Account Report In Your Wordpress.
Author: jodacame
Version: 0.1
Author URI: http://nexxuz.com/

*/

/* Archivo de Configuracion */
include('config.php');

/* FUNCION DASHBOARD */
function Google_Adsense_Report_PRO_widget_admin_function() {
		include(INCLUDES_FOLDER_GAR.'/dashboard/dashboard.php');
} 


/* FUNCION PARA AGREGAR A DASHBOARD */
function Google_Adsense_Report_PRO_add_dashboard_widgets() {
	wp_add_dashboard_widget(NAME_PLUGIN_VAR_GAR.'_dashboard_widget', TITLE_PLUGIN_GAR, NAME_PLUGIN_VAR_GAR.'_widget_admin_function');	
} 



/* FUNCION ESCRIBE CSS */
function Google_Adsense_Report_PRO_css() {
  echo ("<link rel='stylesheet'  id='jodacameScriptGAR' href='".CSS_FILE_GAR."' type='text/css' media='all' />"); 
  
}


 
class Google_Adsense_Report_PRO_widget extends WP_Widget {
 
	function Google_Adsense_Report_PRO_widget() {
		//Clase CSS que usara el widghet y la descripción que se mostrará en la selección de widget en el Panel de Control
		$widget_ops = array( 'classname' => 'widget','description' => __(DESCRIPCION_WIDGET_GAR));
 
		//Configuración del widget en el panel de control.
		$control_ops = array( 'width' => 200, 'height' => 350);
 
		// Creamos el widget. El idbase que se usa en el formulario de configuración, Titulo del Widget en el panel de control,
		// y las opciones del widget y en control
		$this->WP_Widget( NAME_PLUGIN_VAR_GAR, __(TITLE_PLUGIN_GAR), $widget_ops, $control_ops );
	}
 
	/**
	 * Como se mostrara el widget en la web
	 */
	function widget( $args,$instance ) {
		include(INCLUDES_FOLDER_GAR.'/widget/widget.php');
	}
 
	 /**
	 * Funcion para guardar la configuración del widget en el panel de control
	 */
	function update( $new_instance, $old_instance ) {

		return ;
	}
 
	/**
	 * Muestra el formulario del widget en el panel de control
	 */
	function form( $instance ) {
 
			include(INCLUDES_FOLDER_GAR.'/widget/control.php');
	}
	
	
}

 
function register() {
	register_widget( NAME_PLUGIN_VAR_GAR.'_widget' );
}




/* OTRAS FUNCIONES */

/* FUNCION  GENERA LINK PARA DONACIONES */
function link_donaciones(){
	echo '<span style="width:100%;text-align:center;display:block"><a target="_Blank" href="http://nexxuz.com/donate.php"><img src="'.IMAGES_FOLDER_GAR.'/donate.png" border="0" align="top" style="padding-right:2px"> Donate</a></span><br>';
}
	
function logo(){
	echo'<div id="logo_jodacame">
	<span class="titulo_plugin">'.TITLE_PLUGIN_GAR.'</span>
	<span class="creditos">POWERED BY <a href="http://nexxuz.com">JODACAME</a></span>
	</div>';
}
function icono_menu($icono){
return '<img src="'.IMAGES_FOLDER_GAR.'/'.$icono.'.png" valing="absmiddle" border="0"> ';
}
function titulo($titulo,$a=null,$b=null,$c=null){
	echo '<h2 id="h2_titulo">'. __( $titulo).' '. __( $a).' '. __( $b).' '. __( $c).'</h2>';
}


/* AGREGA NUEVA PAGINA */
function Google_Adsense_Report_PRO_add_pages() {
    
    /* CABECERA MENU PRINCIPAL */  
    add_menu_page(TITLE_PLUGIN_GAR, __(TITLE_PLUGIN_GAR_CORTO), 'manage_options', NAME_PLUGIN_VAR_GAR.'_pagina_principal', NAME_PLUGIN_VAR_GAR.'_pagina_principal',IMAGES_FOLDER_GAR.'/icono.png');
    //add_menu_page( $page_title, $menu_title, $capability, $menu_slug, $function, $icon_url, $position ); 
    
    /* SUBMENUS */
   // add_submenu_page( $parent_slug, $page_title, $menu_title, $capability, $menu_slug, $function);
	add_submenu_page(NAME_PLUGIN_VAR_GAR.'_pagina_principal', __('Settings'),icono_menu('settings') . __('Settings'), 'manage_options',  NAME_PLUGIN_VAR_GAR.'_pagina_principal', NAME_PLUGIN_VAR_GAR.'_pagina_principal');
	//add_submenu_page(NAME_PLUGIN_VAR_GAR.'_pagina_principal', __('Widget'), icono_menu('widget') .__('Widget'), 'manage_options',  NAME_PLUGIN_VAR_GAR.'_widgets', NAME_PLUGIN_VAR_GAR.'_widgets');
	add_submenu_page(NAME_PLUGIN_VAR_GAR.'_pagina_principal',__('Reports'),icono_menu('dashboard') . __('Reports'), 'manage_options', NAME_PLUGIN_VAR_GAR.'_dashboard', NAME_PLUGIN_VAR_GAR.'_dashboard');
	//add_submenu_page(NAME_PLUGIN_VAR_GAR.'_pagina_principal', __('FAQ'), icono_menu('faq') .__('FAQ'), 'manage_options',  NAME_PLUGIN_VAR_GAR.'_faq', NAME_PLUGIN_VAR_GAR.'_faq');
	//add_submenu_page(NAME_PLUGIN_VAR_GAR.'_pagina_principal', __('About'), icono_menu('about') .'<b>'.__('About').'</b>', 'manage_options',  NAME_PLUGIN_VAR_GAR.'_about', NAME_PLUGIN_VAR_GAR.'_about');
	
	
}

/* MENU PRINCIPAL */
function Google_Adsense_Report_PRO_pagina_principal() {
     include(INCLUDES_FOLDER_GAR.'/menu_principal.php');
}

/* CONFIGURACION WIDGET */
function Google_Adsense_Report_PRO_widgets() {
      include(INCLUDES_FOLDER_GAR.'/menu_widget.php');
}

/* CONFIGURACION DASHBOARD */
function Google_Adsense_Report_PRO_dashboard() {
    include(INCLUDES_FOLDER_GAR.'/menu_dashboard.php');

    
}

/* MENU ACERCA DE */
function Google_Adsense_Report_PRO_about() {
     include(INCLUDES_FOLDER_GAR.'/menu_about.php');
}
/* MENU ACERCA DE */
function Google_Adsense_Report_PRO_faq() {
     include(INCLUDES_FOLDER_GAR.'/menu_faq.php');
}

function add_settings_link($links, $file) {
	static $this_plugin;
	if (!$this_plugin) $this_plugin = plugin_basename(__FILE__);
	if ($file == $this_plugin){
		$settings_link = '<a href="admin.php?page='.NAME_PLUGIN_VAR_GAR.'_pagina_principal">'.__('Settings').'</a>';
		array_unshift($links, $settings_link);
	}
	return $links;
 }

 include(INCLUDES_FOLDER_GAR.'/core/register.php');
