<?php
class Adsense
{
	private $user;
	private $pass;
	private $cookie;

	public function __construct ( $username , $password )
	{
		if(trim($username) == '' or trim($password) =='')
			die ('<div id="ADS_Google_Report"><div id="alert" ><p><img class="icon" src="https://www.google.com/adsense/v3/m/resources/4268392104-alert.gif" alt=""> <span>Login Fail <a href="admin.php?page=Google_Adsense_Report_PRO_pagina_principal">'.__('Settings').'</a></span></p></div></div>');
		$this->username = $username;
		$this->password = $password;
		$this->cookie_file = tempnam("", 'adsense_cookie_file_');
		$this->cookie_jar = tempnam("", 'adsense_cookie_jar_');
		
		fclose(fopen($this->cookie_file , 'w+'));
		chmod($this->cookie_file , 0777);

		fclose(fopen($this->cookie_jar , 'w+'));
		chmod($this->cookie_jar , 0777);
		$this->_setup_curl();

		$this->_login();
	}

	private function _setup_curl()
	{
		$curl = curl_init();

		curl_setopt ( $curl, CURLOPT_FOLLOWLOCATION, true );
		curl_setopt ( $curl, CURLOPT_RETURNTRANSFER, true );

		//cookie files
		curl_setopt ( $curl, CURLOPT_COOKIEJAR, $this->cookie_jar );
		curl_setopt ( $curl, CURLOPT_COOKIEFILE, $this->cookie_file );

		curl_setopt ( $curl, CURLOPT_USERAGENT, "Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1)");
		curl_setopt ( $curl, CURLOPT_SSL_VERIFYPEER, false);
		curl_setopt ( $curl, CURLOPT_SSL_VERIFYHOST, 0);

		$this->curl = $curl;
	}

	function _getcurl ( $url, $post_data = false )
	{
		$curl = $this->curl;

		curl_setopt($curl, CURLOPT_URL, $url);

		if ( is_array($post_data) )
		{
			//echo http_build_query($post_data);
			curl_setopt ( $curl , CURLOPT_POST , 1 );
			curl_setopt ( $curl , CURLOPT_POSTFIELDS , http_build_query($post_data) );
		}
		else
		{
			curl_setopt ( $curl , CURLOPT_POST , 0 );
		}

		$return_data = curl_exec ( $curl );
		//echo $return_data;

		return $return_data;
	}

	private function _login ( )
	{
		$data = $this -> _getcurl ( "https://accounts.google.com/ServiceLoginBox?service=adsense&ltmpl=login&ifr=true&rm=hide&fpui=3&nui=15&alwf=true&passive=true&continue=https%3A%2F%2Fwww.google.com%2Fadsense%2Flogin-box-gaiaauth&followup=https%3A%2F%2Fwww.google.com%2Fadsense%2Flogin-box-gaiaauth&hl=en_US" );
		$input_tags = get_input_tags($data);
		//Login data to be submitted
		$post_data = array(
			'continue' => 'https://www.google.com/adsense/login-box-gaiaauth' ,
			'followup' => 'https://www.google.com/adsense/login-box-gaiaauth' ,
			'service' => 'adsense' ,
			'nui' => '15' ,
			'ifr' => 'true' ,
			'rm' => 'hide' ,
			'dsh' => $input_tags['dsh'] ,
			'ltmpl' => 'login' ,
			'hl' => 'en_US' ,
			'alwf' => 'true' ,
			'GALX' => $input_tags['GALX'] ,
			'Email'=> $this->username ,
			'Passwd' => $this->password
		);

		$data = $this->_getcurl('https://accounts.google.com/ServiceLoginBoxAuth' , $post_data);

		if ( strpos ( $data, 'Invalid username or password.' ) ||  strpos ( $data,'The username or password') )
		{
			@unlink ( $this -> cookie );
			die ('<div id="ADS_Google_Report"><div id="alert" ><p><img class="icon" src="https://www.google.com/adsense/v3/m/resources/4268392104-alert.gif" alt=""> <span>Login Fail <a href="admin.php?page=Google_Adsense_Report_PRO_pagina_principal">'.__('Settings').'</a></span></p></div></div>');
		}

		
		$data = $this -> _getcurl ( "https://accounts.google.com/CheckCookie?continue=https%3A%2F%2Fwww.google.com%2Fadsense%2Flogin-box-gaiaauth&followup=https%3A%2F%2Fwww.google.com%2Fadsense%2Flogin-box-gaiaauth&hl=en_US&service=adsense&ltmpl=login&chtml=LoginDoneHtml" );
		
	}
}

function get_input_tags($html)
{
	$post_data = array();

	// a new dom object
    $dom = new domDocument; 

	// load the html into the object
    $dom->loadHTML($html);
    // discard white space
    $dom->preserveWhiteSpace = false; 

    // all input tags as a list
    $input_tags = $dom->getElementsByTagName('input'); 

    // get all rows from the table
	for ($i = 0; $i < $input_tags->length; $i++)
    {
  		if( is_object($input_tags->item($i)) )
		{
			$name = $value = '';
			$name_o = $input_tags->item($i)->attributes->getNamedItem('name');
			if(is_object($name_o))
			{
				$name = $name_o->value;

				$value_o = $input_tags->item($i)->attributes->getNamedItem('value');
				if(is_object($value_o))
				{
					$value = $input_tags->item($i)->attributes->getNamedItem('value')->value;
				}

				$post_data[$name] = $value;
			}
		}
	}

	return $post_data;
}
?>
